/** 手机号码正则 */
export const REGEXP_PHONE =
    /^[1](([3][0-9])|([4][01456789])|([5][012356789])|([6][2567])|([7][0-8])|([8][0-9])|([9][012356789]))[0-9]{8}$/

/** 邮箱正则 */
export const REGEXP_EMAIL = /^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/

/** 常见字符正则，仅支持大小写字母 数字和_ - */
export const COMMON_CHAR = /^[a-zA-Z0-9_-]+$/

/** 身份证正则 */
export const ID_CARD = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/

/** 仅字母和数字正则 */
export const LETTER_NUMBER = /^[a-zA-Z0-9]+$/

/** URL正则 */
export const URL = /^(http|https|ftp):\/\/[^\s/$.?#].[^\s]*$/
